#include <stdio.h>

int main()
{
    int n, m;
    int dosad;
    int fb;
    int i;

    scanf("%d %d", &n, &m);

    /* Krecemo od toga da su svi neofarbani */

    dosad = 0;
    for (i = 0; i < n; ++i){
        scanf("%d", &fb);
        dosad += fb;
    }

    printf("%d", m * n * 2 / dosad);

    return 0;
}